/*  gnutrition - a nutrition and diet analysis program.
 *  Copyright (C) 2000 Edgar Denny (e.denny@ic.ac.uk)
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */
#ifdef HAVE_CONFIG_H
#  include <config.h>
#endif

#include <gnome.h>
#include <glade/glade.h>

#include "support.h"
#include "recipe_win.h"
#include "load_data.h"

/* A minimalist main.c */
gint
main( int argc, char *argv[])
{
	GtkWidget *dummy = NULL;

#ifdef ENABLE_NLS
	bindtextdomain( PACKAGE, PACKAGE_LOCALE_DIR);
	textdomain( PACKAGE);
#endif

	gnome_init( "Gnutrition", VERSION, argc, argv);

	glade_gnome_init();

	/* this passes control to the progress bar. */
	gtk_idle_add( on_idle_in_main, dummy);

	gtk_main();

	return 0;
}
